## ros-crystal-qt-gui-cpp 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(qt_gui_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(STATUS "qt_gui_coo is not yet supported on Windows. Package will not be built.")
  ament_package()
  return()
endif()

find_package(pluginlib REQUIRED)
find_package(tinyxml2_vendor REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

include_directories(include ${TinyXML2_INCLUDE_DIRS} ${pluginlib_INCLUDE_DIRS})

add_subdirectory(src)

install(FILES plugin.xml
  DESTINATION share/${PROJECT_NAME})

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_dependencies(pluginlib)
ament_export_include_directories(include)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

# TODO(brawner) add ament_lint_auto tests here. Much of the c++ code needs to
# be updated for ROS2 style

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)

  ament_add_pytest_test(qt_gui_cpp test
    APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
    TIMEOUT 90)
endif()

ament_package(CONFIG_EXTRAS cmake/${PROJECT_NAME}-extras.cmake)

=== debian/changelog ===
ros-crystal-qt-gui-cpp (1.0.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 07:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.4-1bionic) bionic; urgency=high

  * support TinyXML2 version 2.2.0 on Xenial (#169 <https://github.com/ros-visualization/qt_gui_core/issues/169>)
  * set default C++ standard to 14
  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.3-1bionic) bionic; urgency=high

  * skip qt_gui_cpp on Windows (#158 <https://github.com/ros-visualization/qt_gui_core/issues/158>)
  * fix finding Qt5 widgets on Windows (#157 <https://github.com/ros-visualization/qt_gui_core/issues/157>)

 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.2-1bionic) bionic; urgency=high

  * move build location of qt_gui_cpp_sip library out-of-source (#156 <https://github.com/ros-visualization/qt_gui_core/issues/156>)

 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.1-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.0-1bionic) bionic; urgency=high

  * port to Windows (#146 <https://github.com/ros-visualization/qt_gui_core/issues/146>)
  * check check of return value of loadFile (#152 <https://github.com/ros-visualization/qt_gui_core/issues/152>)
  * add required libraries (#148 <https://github.com/ros-visualization/qt_gui_core/issues/148>)
  * migrate from tinyxml to tinyxml2 (#147 <https://github.com/ros-visualization/qt_gui_core/issues/147>)
  * add test for importing sip generated library (#150 <https://github.com/ros-visualization/qt_gui_core/issues/150>)
  * register plugins at the correct location (#144 <https://github.com/ros-visualization/qt_gui_core/issues/144>)
  * fix include dir path (#140 <https://github.com/ros-visualization/qt_gui_core/issues/140>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * modify qt_gui_cpp to fix build errors in rqt_gui_core (#137 <https://github.com/ros-visualization/qt_gui_core/issues/137>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
  * remove boost shared_ptr references
  * remove boost filesystem depends
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- D. Hood <dhood@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.11-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.10-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.9-1bionic) bionic; urgency=high

  * change included pluginlib header to avoid deprecation warning (#114 <https://github.com/ros-visualization/qt_gui_core/issues/114>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.8-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.7-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.6-1bionic) bionic; urgency=high

  * add missing run_depend on TinyXML (#100 <https://github.com/ros-visualization/qt_gui_core/issues/100>)
  * add TinyXML to target_link_libraries (#99 <https://github.com/ros-visualization/qt_gui_core/issues/99>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.5-1bionic) bionic; urgency=high

  * find and depend on tinyxml, add missing tinyxml include (#96 <https://github.com/ros-visualization/qt_gui_core/issues/96>, #97 <https://github.com/ros-visualization/qt_gui_core/issues/97>)
  * fix relative import for Python3 (#89 <https://github.com/ros-visualization/qt_gui_core/pull/89>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.4-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.3-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.2-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.1-1bionic) bionic; urgency=high

  * more fixes for shiboken 2
  * add missing Qt include directories

 -- D. Hood <dhood@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.0-1bionic) bionic; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.30-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.29-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.28-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 08 Jun 2015 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.27-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Apr 2015 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.26-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.25-1bionic) bionic; urgency=high

  * fix finding specific version of PythonLibs with CMake 3 (#45 <https://github.com/ros-visualization/qt_gui_core/issues/45>)



=== debian/control ===
Source: ros-crystal-qt-gui-cpp
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, qt5-qmake, qtbase5-dev, ros-crystal-ament-cmake, ros-crystal-ament-cmake-pytest, ros-crystal-pluginlib (>= 1.9.23), ros-crystal-python-qt-binding (>= 0.3.0), ros-crystal-tinyxml2-vendor, ros-crystal-ros-workspace
Homepage: http://ros.org/wiki/qt_gui_cpp
Standards-Version: 3.9.2

Package: ros-crystal-qt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-pluginlib (>= 1.9.23), ros-crystal-qt-gui (>= 0.3.0), ros-crystal-tinyxml2-vendor, ros-crystal-ros-workspace
Description: qt_gui_cpp provides the foundation for C++-bindings for qt_gui and creates bindings for every generator available.
 At least one specific binding must be available in order to use C++-plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-qt-gui-cpp//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
